Skip to main content
POST
/
api
/
messages
curl --request POST \
  --url https://app.tuco.ai/api/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "Hi from Tuco.",
  "recipientPhone": "+12025551234"
}
'
{
  "success": true,
  "status": "sent",
  "leadId": "69b2c41d352a78479d2c623b",
  "ghlContactId": "aMUQn0u0Z7cw0NQ7tJ5R",
  "ghlLocationId": "eL7DD22BdZ0rismu7qCA",
  "hsPortalId": null,
  "hsContactId": null,
  "duplicateOnly": true,
  "existingLeadIds": [
    "69b2c41d352a78479d2c623b"
  ],
  "leadIds": [
    "69b2c41d352a78479d2c623b"
  ],
  "duplicateMessage": "Lead was duplicate; message sent using existing lead.",
  "message": {
    "_id": "69b344bc6dae1d942ece4d0e",
    "message": "Hi",
    "messageType": "imessage",
    "status": "sent",
    "fromLineId": "69ab427ac1feb77d7f46462e",
    "recipientPhone": "+919042956129",
    "leadId": "69b2c41d352a78479d2c623b",
    "workspaceId": "org_3AZs4H8UsfFxVFONr6H4K75okaG",
    "createdAt": "2026-03-12T22:57:00.856Z",
    "updatedAt": "2026-03-12T22:57:02.892Z",
    "sentAt": "2026-03-12T22:57:02.892Z"
  }
}

Authorizations

Authorization
string
header
required

Workspace API key: Authorization: Bearer tuco_sk_xxxxxxxxxxxxx

Body

application/json
message
string

Text content. Required unless attachmentUrls provided.

messageType
enum<string>
default:imessage
Available options:
imessage,
sms,
email
recipientPhone
string

E.164 phone

recipientEmail
string
recipientName
string
fromLineId
string

Optional; round-robin when omitted

leadId
string

Existing lead ID

altPhone1
string
altPhone2
string
altPhone3
string
altEmail1
string
altEmail2
string
altEmail3
string
scheduledDate
string<date-time>
timezone
string
sendWindowStart
string

HH:mm

sendWindowEnd
string

HH:mm

allowedDaysOfWeek
integer[]
Required range: 0 <= x <= 6
sendFallbackSmsOnFailed
boolean
default:false
batchId
string
attachmentUrls
string<uri>[]
Maximum array length: 2
attachmentNames
string[]

Response

Message sent using existing duplicate lead

message
object
success
boolean
leadId
string | null
ghlContactId
string | null
ghlLocationId
string | null
hsPortalId
string | null
hsContactId
string | null
status
enum<string>
Available options:
sent,
pending,
scheduled,
fallback,
failed
reason
string
scheduledDate
string<date-time>
duplicateOnly
boolean
existingLeadIds
string[]
leadIds
string[]
duplicateMessage
string
error
string